Package org.silverpeas.components.webpages

# Class WebPagesWysiwygEventListener

java.lang.Object
org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.contribution.content.wysiwyg.notification.WysiwygEvent>
org.silverpeas.components.webpages.WebPagesWysiwygEventListener

All Implemented Interfaces:
  `org.silverpeas.core.notification.system.ResourceEventListener<org.silverpeas.core.contribution.content.wysiwyg.notification.WysiwygEvent>`

@Bean public class WebPagesWysiwygEventListener extends org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.contribution.content.wysiwyg.notification.WysiwygEvent>

Author:
  mmoquillon

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebPagesWysiwygEventListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onCreation(org.silverpeas.core.contribution.content.wysiwyg.notification.WysiwygEvent event)`
  `void`
  `onUpdate(org.silverpeas.core.contribution.content.wysiwyg.notification.WysiwygEvent event)`

  ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

  `onEvent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.notification.system.ResourceEventListener

  `dispatchEvent, isEnabled, onDeletion, onMove, onRecovery, onRemoving, onUnlock`

- ## Constructor Details

  - ### WebPagesWysiwygEventListener

    public WebPagesWysiwygEventListener()

- ## Method Details

  - ### onUpdate

    public void onUpdate(org.silverpeas.core.contribution.content.wysiwyg.notification.WysiwygEvent event)

  - ### onCreation

    public void onCreation(org.silverpeas.core.contribution.content.wysiwyg.notification.WysiwygEvent event)